<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3001
Name: Anrede Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3001-2013-01-10T000000">
   <title>Anrede Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']]
Item: (Salutation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']
Item: (Salutation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']"
         id="tmp-r-450d0bb1-d397-414c-8493-e4d13abf5399">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3001'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.3001']/@nullFlavor)">(Salutation): Element hl7:templateId[@root='1.2.276.0.76.10.3001'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3001'])&lt;=1">(Salutation): Element hl7:templateId[@root='1.2.276.0.76.10.3001'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Salutation): Element hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Salutation): Element hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:title)=0">(Salutation): Element hl7:title DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Salutation): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="count(hl7:text)&lt;=1">(Salutation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']/hl7:templateId[@root='1.2.276.0.76.10.3001']
Item: (Salutation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']/hl7:templateId[@root='1.2.276.0.76.10.3001']"
         id="tmp-r-c3ddd8b1-72ca-4997-b0dc-d41b9961f7f1">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Salutation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3001')">(Salutation): Der Wert von @root MUSS '1.2.276.0.76.10.3001' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']/hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Salutation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']/hl7:code[(@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-9eb17cb0-fd95-4350-829d-85c74979df63">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Salutation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="@nullFlavor or (@code='X-SALUT' and @codeSystem='2.16.840.1.113883.6.1')">(Salutation): Der Elementinhalt MUSS einer von 'code 'X-SALUT' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']/hl7:title
Item: (Salutation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3001
Context: *[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']/hl7:text
Item: (Salutation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']]/hl7:section[hl7:templateId/@root='1.2.276.0.76.10.3001']/hl7:text"
         id="tmp-r-e1728f7e-b5f6-43f8-bef1-aaaca56c0671">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20151110T221635/tmp-1.2.276.0.76.10.3001-2013-01-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Salutation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
